如何安装 libghc-lens-dev Debian 9

在本教程中,我们学习如何安装 libghc-lens-dev Debian 9. libghc-lens-dev 是镜头、折叠和遍历

介绍

在本教程中我们学习如何安装 libghc-lens-dev 在 Debian 9.

什么是 libghc-lens-dev

libghc-lens-dev 是:

该软件包“包含电池”,其中包含 Haskell 平台常用类型的许多有用的透镜,以及用于自动生成用户提供的数据类型的透镜和同构的工具。

Control.Lens 中的组合器提供了一个高度通用的工具箱,用于组合吸气剂、折叠、同构、遍历、设置器和透镜及其索引变体系列。

有关镜片护理和喂养的更多信息,包括其类型的教程和动机,可以在镜片维基上找到(https://github.com/ekmett/lens/wiki)

该软件包包含普通的库文件。

有三种安装方法 libghc-lens-dev 在 Debian 9.我们可以使用 apt-get, aptaptitude。 在以下部分中,我们将描述每种方法。 您可以选择其中之一。

使用 apt-get 安装 libghc-lens-dev

更新 apt 数据库 apt-get 使用以下命令。

更新apt数据库后,我们可以安装 libghc-lens-dev 使用 apt-get 通过运行以下命令:

sudo apt-get -y install libghc-lens-dev

使用 apt 安装 libghc-lens-dev

更新 apt 数据库 apt 使用以下命令。

更新apt数据库后,我们可以安装 libghc-lens-dev 使用 apt 通过运行以下命令:

sudo apt -y install libghc-lens-dev

使用 aptitude 安装 libghc-lens-dev

如果您想遵循此方法,您可能需要先安装 aptitude,因为 aptitude 通常不会默认安装 Debian。 更新 apt 数据库 aptitude 使用以下命令。

更新apt数据库后,我们可以安装 libghc-lens-dev 使用 aptitude 通过运行以下命令:

sudo aptitude -y install libghc-lens-dev

如何卸载 libghc-lens-dev Debian 9

仅卸载 libghc-lens-dev 打包我们可以使用以下命令:

sudo apt-get remove libghc-lens-dev

卸载 libghc-lens-dev 及其依赖项

卸载 libghc-lens-dev 及其不再需要的依赖项 Debian 9、我们可以使用下面的命令:

sudo apt-get -y autoremove libghc-lens-dev

删除 libghc-lens-dev 配置和数据

去除 libghc-lens-dev 配置和数据来自 Debian 9.我们可以使用以下命令:

sudo apt-get -y purge libghc-lens-dev

删除 libghc-lens-dev 配置、数据及其所有依赖项

我们可以使用下面的命令来删除 libghc-lens-dev 配置、数据及其所有依赖项,我们可以使用以下命令:

sudo apt-get -y autoremove --purge libghc-lens-dev

依赖关系

libghc-lens-dev 具有以下依赖项:

参考

概括

在本教程中我们学习如何安装 libghc-lens-dev 封装在 Debian 9.使用不同的包管理工具: apt, apt-getaptitude